Communications - List
Lists all communications (attachments not included) for a support ticket.
You can also filter support ticket communications by CreatedDate or CommunicationType using the $filter parameter. The only type of communication supported today is Web. Output will be a paged result with nextLink, using which you can retrieve the next set of Communication results.
Support ticket data is available for 18 months after ticket creation. If a ticket was created more than 18 months ago, a request for data might cause an error.
GET https://management.azure.com/subscriptions/{subscriptionId}/providers/Microsoft.Support/supportTickets/{supportTicketName}/communications?api-version=2024-04-01
GET https://management.azure.com/subscriptions/{subscriptionId}/providers/Microsoft.Support/supportTickets/{supportTicketName}/communications?api-version=2024-04-01&$top={$top}&$filter={$filter}
URI Parameters
| Name | In | Required | Type | Description |
|---|---|---|---|---|
|
subscription
|
path | True |
string (uuid) |
The ID of the target subscription. The value must be an UUID. |
|
support
|
path | True |
string |
The name of the SupportTicketDetails |
|
api-version
|
query | True |
string minLength: 1 |
The API version to use for this operation. |
|
$filter
|
query |
string |
The filter to apply on the operation. You can filter by communicationType and createdDate properties. CommunicationType supports Equals ('eq') operator and createdDate supports Greater Than ('gt') and Greater Than or Equals ('ge') operators. You may combine the CommunicationType and CreatedDate filters by Logical And ('and') operator. |
|
|
$top
|
query |
integer (int32) |
The number of values to return in the collection. Default is 10 and max is 10. |
Responses
| Name | Type | Description |
|---|---|---|
| 200 OK |
The request has succeeded. |
|
| Other Status Codes |
An unexpected error response. |
Security
azure_auth
Azure Active Directory OAuth2 Flow.
Type:
oauth2
Flow:
implicit
Authorization URL:
https://login.microsoftonline.com/common/oauth2/authorize
Scopes
| Name | Description |
|---|---|
| user_impersonation | impersonate your user account |
Examples
List communications for a subscription support ticket
Sample request
Sample response
{
"value": [
{
"name": "testmessage1",
"type": "Microsoft.Support/communications",
"id": "/subscriptions/132d901f-189d-4381-9214-fe68e27e05a1/providers/Microsoft.Support/supportTickets/testticket/communications/testmessage1",
"properties": {
"body": "this is a test message",
"communicationDirection": "outbound",
"communicationType": "web",
"createdDate": "2020-03-24T20:18:19Z",
"sender": "user@contoso.com",
"subject": "this is a test message"
}
},
{
"name": "testmessage2",
"type": "Microsoft.Support/communications",
"id": "/subscriptions/132d901f-189d-4381-9214-fe68e27e05a1/providers/Microsoft.Support/supportTickets/testticket/communications/testmessage2",
"properties": {
"body": "test",
"communicationDirection": "outbound",
"communicationType": "web",
"createdDate": "2020-03-29T10:53:19Z",
"sender": "user@contoso.com",
"subject": "test"
}
}
]
}
List web communication created on or after a specific date for a subscription support ticket
Sample request
Sample response
{
"value": [
{
"name": "testmessage1",
"type": "Microsoft.Support/communications",
"id": "/subscriptions/132d901f-189d-4381-9214-fe68e27e05a1/providers/Microsoft.Support/supportTickets/testticket/communications/testmessage1",
"properties": {
"body": "this is a test message",
"communicationDirection": "outbound",
"communicationType": "web",
"createdDate": "2020-03-11T20:18:19Z",
"sender": "user@contoso.com",
"subject": "this is a test message"
}
},
{
"name": "testmessage2",
"type": "Microsoft.Support/communications",
"id": "/subscriptions/132d901f-189d-4381-9214-fe68e27e05a1/providers/Microsoft.Support/supportTickets/testticket/communications/testmessage2",
"properties": {
"body": "test",
"communicationDirection": "outbound",
"communicationType": "web",
"createdDate": "2020-03-12T10:53:19Z",
"sender": "user@contoso.com",
"subject": "test"
}
}
]
}
List web communications for a subscription support ticket
Sample request
Sample response
{
"value": [
{
"name": "testmessage1",
"type": "Microsoft.Support/communications",
"id": "/subscriptions/132d901f-189d-4381-9214-fe68e27e05a1/providers/Microsoft.Support/supportTickets/testticket/communications/testmessage1",
"properties": {
"body": "this is a test message",
"communicationDirection": "outbound",
"communicationType": "web",
"createdDate": "2020-03-10T20:18:19Z",
"sender": "user@contoso.com",
"subject": "this is a test message"
}
},
{
"name": "testmessage2",
"type": "Microsoft.Support/communications",
"id": "/subscriptions/132d901f-189d-4381-9214-fe68e27e05a1/providers/Microsoft.Support/supportTickets/testticket/communications/testmessage2",
"properties": {
"body": "test",
"communicationDirection": "outbound",
"communicationType": "web",
"createdDate": "2020-03-11T10:53:19Z",
"sender": "user@contoso.com",
"subject": "test"
}
}
]
}
Definitions
| Name | Description |
|---|---|
|
Communication |
Object that represents a Communication resource. |
|
Communication |
Direction of communication. |
|
Communications |
[Placeholder] Description for page model |
|
Communication |
Communication type. |
|
created |
The type of identity that created the resource. |
|
Error |
The resource management error additional info. |
|
Error |
The error detail. |
|
Error |
Error response |
|
system |
Metadata pertaining to creation and last modification of the resource. |
CommunicationDetails
Object that represents a Communication resource.
| Name | Type | Description |
|---|---|---|
| id |
string (arm-id) |
Fully qualified resource ID for the resource. E.g. "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName}" |
| name |
string |
The name of the resource |
| properties.body |
string |
Body of the communication. |
| properties.communicationDirection |
Direction of communication. |
|
| properties.communicationType |
Communication type. |
|
| properties.createdDate |
string (date-time) |
Time in UTC (ISO 8601 format) when the communication was created. |
| properties.sender |
string |
Email address of the sender. This property is required if called by a service principal. |
| properties.subject |
string |
Subject of the communication. |
| systemData |
Azure Resource Manager metadata containing createdBy and modifiedBy information. |
|
| type |
string |
The type of the resource. E.g. "Microsoft.Compute/virtualMachines" or "Microsoft.Storage/storageAccounts" |
CommunicationDirection
Direction of communication.
| Value | Description |
|---|---|
| inbound | |
| outbound |
CommunicationsListResult
[Placeholder] Description for page model
| Name | Type | Description |
|---|---|---|
| nextLink |
string |
[Placeholder] Description for nextLink property |
| value |
[Placeholder] Description for value property |
CommunicationType
Communication type.
| Value | Description |
|---|---|
| web | |
| phone |
createdByType
The type of identity that created the resource.
| Value | Description |
|---|---|
| User | |
| Application | |
| ManagedIdentity | |
| Key |
ErrorAdditionalInfo
The resource management error additional info.
| Name | Type | Description |
|---|---|---|
| info |
object |
The additional info. |
| type |
string |
The additional info type. |
ErrorDetail
The error detail.
| Name | Type | Description |
|---|---|---|
| additionalInfo |
The error additional info. |
|
| code |
string |
The error code. |
| details |
The error details. |
|
| message |
string |
The error message. |
| target |
string |
The error target. |
ErrorResponse
Error response
| Name | Type | Description |
|---|---|---|
| error |
The error object. |
systemData
Metadata pertaining to creation and last modification of the resource.
| Name | Type | Description |
|---|---|---|
| createdAt |
string (date-time) |
The timestamp of resource creation (UTC). |
| createdBy |
string |
The identity that created the resource. |
| createdByType |
The type of identity that created the resource. |
|
| lastModifiedAt |
string (date-time) |
The timestamp of resource last modification (UTC) |
| lastModifiedBy |
string |
The identity that last modified the resource. |
| lastModifiedByType |
The type of identity that last modified the resource. |